#
# spec file for package connect (Version r100)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           connect
Summary:        Relays network connections via SOCKS and http(s) proxy
License:        GPL v2 or later
Group:          Productivity/Networking/Other
Version:        r100
Release:        1.3
Source0:	http://www.taiyo.co.jp/~gotoh/ssh/%{name}.c
Source1:	README.%{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:	on

%description
"connect" is the simple relaying command to make network connection via SOCKS and https proxy. 
It is mainly intended to be used as proxy command of OpenSSH. You can make SSH session beyond the firewall with this command

Features of connect are:

- Supports SOCKS (version 4/4a/5) and https CONNECT method.
- Supports NO-AUTH and USERPASS authentication of SOCKS
- Partially supports telnet proxy (experimental).
- You can input password from tty, ssh-askpass or environment variable.
- Run on UNIX or Windows platform.
- You can compile with various C compiler (cc, gcc, Visual C, Borland C. etc.)
- Simple and general program independent from OpenSSH.
- You can also relay local socket stream instead of standard I/O.

%prep 

%build

gcc  -o connect %{SOURCE0} ; strip connect


%install

install -D -m 755 connect $RPM_BUILD_ROOT/%{_bindir}/connect
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_docdir}/%{name}/README

%clean

rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/README
%{_bindir}/connect

%changelog
* Tue Jul 01 2008 Axel Koellhofer AxelKoellhofer@web.de
- initial package
